Package com.avaya.clientservices.network.websocket

## Class WebSocketProxyHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelDuplexHandler
      - - io.netty.handler.proxy.ProxyHandler
        - - com.avaya.clientservices.network.websocket.WebSocketProxyHandler

- All Implemented Interfaces:
    `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`, `io.netty.channel.ChannelOutboundHandler`

      public class WebSocketProxyHandler
      extends io.netty.handler.proxy.ProxyHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_FRAME_LENGTH` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebSocketProxyHandler​(java.net.SocketAddress proxyAddress, com.avaya.clientservices.network.websocket.ProxyCredentialsHandler credHandler, java.lang.String unresolvedName, java.lang.String authorizationHeader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `authScheme()` |
    `java.lang.String` | `protocol()` |

    - ### Methods inherited from class io.netty.handler.proxy.ProxyHandler

      `channelActive, channelInactive, channelRead, channelReadComplete, connect, connectFuture, connectTimeoutMillis, destinationAddress, exceptionCaught, flush, handlerAdded, isConnected, proxyAddress, setConnectTimeoutMillis, write`

    - ### Methods inherited from class io.netty.channel.ChannelDuplexHandler

      `bind, close, deregister, disconnect, read`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerRemoved`

- - ### Field Detail

    - #### MAX_FRAME_LENGTH

          public static final int MAX_FRAME_LENGTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebSocketProxyHandler

          public WebSocketProxyHandler​(java.net.SocketAddress proxyAddress,
                                       com.avaya.clientservices.network.websocket.ProxyCredentialsHandler credHandler,
                                       java.lang.String unresolvedName,
                                       java.lang.String authorizationHeader)

  - ### Method Detail

    - #### protocol

          public java.lang.String protocol()

      Specified by:
        `protocol` in class `io.netty.handler.proxy.ProxyHandler`

    - #### authScheme

          public java.lang.String authScheme()

      Specified by:
        `authScheme` in class `io.netty.handler.proxy.ProxyHandler`